Skip to main content
GET
/
recruitment
/
v1
/
candidates
/
{id}
Get a candidate
curl --request GET \
  --url https://api-{region}.sesametime.com/recruitment/v1/candidates/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vacancy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "contractType": "<string>",
      "experience": "<string>",
      "createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "open",
      "openedAt": "2020-01-01T10:00:00+01:00",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "public": true,
      "locationVacancy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "scheduleType": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "category": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "officeIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "departmentIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "evaluationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "type": "<string>",
    "statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order": 123,
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "linkedInURL": "<string>",
    "desiredSalary": "<string>",
    "startWorkDate": "2020-01-01T10:00:00+01:00",
    "evaluation": 123,
    "web": "<string>",
    "location": "<string>",
    "hasDocument": true,
    "comment": "<string>",
    "appliedAt": "2020-01-01T10:00:00+01:00",
    "threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lastComment": {},
    "numComments": 123,
    "imageProfileURL": "<string>",
    "checklist": {},
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "acceptPool": true,
    "checkPolicyPrivacy": true
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

id
string<uuid>
required

Candidate ID

Response

200 - application/json

Object

data
object
meta
object